Subject: [Tools-discuss] doing YANG work with MT makefiles and "pure" XML

From: Michael Richardson <[email-masked]>
Date: Sat, 29 May 2021 19:20:26 -0400

I am contributing to a document which is not in kramdown.
(I can only convince so many people so fast about kramdown)

In working on RFC8995, which has two YANG modules, I wind up cooking up a bit
of perl to pre-process the XML to insert the RIGHT YANG module, having done
the YYYY-MM-DD substitutions.  My makefile (which preceeded MT's work),
generated the tree files, etc.

Maintaining the YANG in the XML file is really not a great way to work.
So, what are people doing?   I can't find any stuff in lib/* that does
anything for YANG.   But, maybe I missed it?

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide